### Function

# Gimp flags_get_value_descriptions

#### Declaration [src]

    const GimpFlagsDesc*
    gimp_flags_get_value_descriptions (
      GType flags_type
    )

#### Description [src]

Retrieves the array of human readable and translatable descriptions and help texts for flags values.

Available since: | 2.2

#### Parameters

`flags_type` | `GType`
| A `GType`.

#### Return value

Returns: | `GimpFlagsDesc`
| A `NULL` terminated constant array of `GimpFlagsDesc`.
| The data is owned by the called function.